Package org.apache.commons.compress.compressors.lz4

# Class BlockLZ4CompressorInputStream

java.lang.Object
java.io.InputStream
org.apache.commons.compress.compressors.CompressorInputStream
org.apache.commons.compress.compressors.lz77support.AbstractLZ77CompressorInputStream
org.apache.commons.compress.compressors.lz4.BlockLZ4CompressorInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `InputStreamStatistics`

public class BlockLZ4CompressorInputStream extends AbstractLZ77CompressorInputStream
CompressorInputStream for the LZ4 block format.

Since:
  1.14
See Also:
  - LZ4 Block Format Description
This class is not thread-safe

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.compressors.lz77support.AbstractLZ77CompressorInputStream

  `supplier`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlockLZ4CompressorInputStream(InputStream is)`
  Creates a new LZ4 input stream.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `read(byte[] b, int off, int len)`

  ### Methods inherited from class org.apache.commons.compress.compressors.lz77support.AbstractLZ77CompressorInputStream

  `available, close, getCompressedCount, getSize, hasMoreDataInBlock, prefill, read, readBackReference, readLiteral, readOneByte, startBackReference, startLiteral`

  ### Methods inherited from class org.apache.commons.compress.compressors.CompressorInputStream

  `count, count, getBytesRead, getCount, getUncompressedCount, pushedBackBytes`

  ### Methods inherited from class java.io.InputStream

  `mark, markSupported, read, reset, skip`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.compress.utils.InputStreamStatistics

  `getUncompressedCount`

- ## Constructor Details

  - ### BlockLZ4CompressorInputStream

    public BlockLZ4CompressorInputStream(InputStream is)
    Creates a new LZ4 input stream.
    Parameters:
      `is` - An InputStream to read compressed data from

- ## Method Details

  - ### read

    public int read(byte[] b, int off, int len) throws IOException
    Overrides:
      `read` in class `InputStream`
    Throws:
      `IOException`